/*
 * Class DYNAMIC_CHAIN [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1768 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1768 [] = {0xFF01,1551,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1768 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1768 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1768 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1768 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1768 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1768 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1768 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1768 [] = {1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1768 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1768 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1768 [] = {0xFF01,1754,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1768 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1768 [] = {0xFF01,1767,872,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1768 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1768[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1768), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1768), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1768), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1768), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1768), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1768), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1768), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1768), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1768), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1768), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1768), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1768), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1768), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1768), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1768), 8824, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1768), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1768), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9085, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12119, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12127, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1768), 8817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12130, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1768), 12125, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1768), 12128, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1768), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12136, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8820, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8823, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1768), 12125, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1768), 12126, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12133, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12139, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9270, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12117, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12389, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12390, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12391, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1768), 11014, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1768), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9268, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12140, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1768), 12121, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1768), 12122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12131, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12137, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12138, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12118, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1768), 12392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12127, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1768), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1768), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1768(void)
{
	IDSC(desc_1768, 0, 1767);
	IDSC(desc_1768 + 1, 1, 1767);
	IDSC(desc_1768 + 32, 1134, 1767);
	IDSC(desc_1768 + 41, 1060, 1767);
	IDSC(desc_1768 + 47, 1444, 1767);
	IDSC(desc_1768 + 56, 1570, 1767);
	IDSC(desc_1768 + 59, 1534, 1767);
	IDSC(desc_1768 + 66, 916, 1767);
	IDSC(desc_1768 + 72, 1135, 1767);
	IDSC(desc_1768 + 81, 1088, 1767);
	IDSC(desc_1768 + 83, 1245, 1767);
	IDSC(desc_1768 + 86, 387, 1767);
	IDSC(desc_1768 + 88, 636, 1767);
	IDSC(desc_1768 + 102, 778, 1767);
	IDSC(desc_1768 + 103, 340, 1767);
	IDSC(desc_1768 + 111, 254, 1767);
	IDSC(desc_1768 + 114, 554, 1767);
	IDSC(desc_1768 + 115, 878, 1767);
	IDSC(desc_1768 + 116, 794, 1767);
}


#ifdef __cplusplus
}
#endif
